import React, {useState, useEffect} from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = "https://gist.githubusercontent.com/DragonEnergy/700f35bab644dbbdf339183f7e724024/raw/c27c1c61fcecfddecc82866f625c09b6824690f7/MexicoRegion.json";

export const getMexico = () => {

  const [data, setData] = useState(null);
  
  console.log(data);
  
    useEffect(() => {
    json(jsonUrl).then(land => {
    const { mexstates } = land.objects;
		     setData({
		       mexstates: feature(land, mexstates),
		       interiors: mesh(land, mexstates, (a, b) => a !== b)
		     });
   			});
  }, []);
	 
  return data
}

